# Renderd7-nightly: sound Class Reference

sound Class Reference

`#include <sound.hpp>`

## Public Member Functions

| sound (const std::string &path, int channel=1, bool toloop=false)
| ~sound ()
void | play ()
void | stop ()

## Detailed Description

Sound Class

## Constructor & Destructor Documentation

## sound()

sound::sound | ( | const std::string & | path,
|  | int | channel = `1`,
|  | bool | toloop = `false`
| ) |  |

Construct new Soundeffect path: Path to the .wav file channel: the channel 1-23 toloop: true:loop the sound, false: don't loop

## ~sound()

sound::~sound | ( |  | ) |

deconstruct the sound

## Member Function Documentation

## play()

void sound::play | ( |  | ) |

play the sound

## stop()

void sound::stop | ( |  | ) |

stop the sound